package de.ivu.elect.presentation.lokalisierung.action;

import javax.inject.Named;

import de.ivu.elect.business.lokalisierung.entity.Lokalisierung;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.lokalisierung.LokalisierungEditView;

@Named(LokalisierungEditAction.COMPONENT_NAME)
public class LokalisierungEditAction extends AbstractLokalisierungAction {
  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "lokalisierungEditAction";

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.LOKALISIERUNG_EDIT;
  }

  @Override
  protected String doIt(Lokalisierung entity) {
    conversationSelect.setEntity(entity);
    return LokalisierungEditView.VIEW_ID;
  }

  @Override
  public String getLabelKey() {
    return "entity.edit.action.edit";
  }

  @Override
  public String getIcon() {
    return appIcons.getIconEdit();
  }

}

